/*
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */


void err_warn(const char * fmt , ... ) ;
void err_fatal(const char *fmt, ... ) ;
void *Malloc(int len);
void *Calloc(size_t nmemb, int len);
void *Realloc(void *ptr, int len) ;
int16_t bytes_to_short(uint8_t h, uint8_t l) ;
int32_t nbytes_to_32(uint8_t bytes[4]) ;
void int_to_bytes(int data, uint8_t *bytes) ;
int32_t nbytes_to_h32(uint8_t bytes[4]) ;
uint8_t short_get_low_byte(int16_t i) ;
uint8_t short_get_high_byte(int16_t i) ;

